Subject: bug#10195: 24.0.92; M-w may no longer provide visual feedback

From: Eli Zaretskii <[email-masked]>
Date: Sun, 04 Dec 2011 06:25:49 -0500

> From: Chong Yidong <[email-masked]>
> Cc: [email-masked],  [email-masked],  [email-masked]
> Date: Sun, 04 Dec 2011 16:11:20 +0800
> 
> Eli Zaretskii <[email-masked]> writes:
> 
> >> Your pending input explanation is probably right.
> >
> > The question is: what input is pending?
> 
> It's an X selection request event.  I'm not sure where the request is
> coming from---Gnome's clipboard manager, maybe.

Looks like readable_events should filter out a few more event types,
when passed READABLE_EVENTS_FILTER_EVENTS in `flags'?  I could think
of additional events that should not end sit-for, e.g. keyboard
language switch.

> OTOH, I don't see why the pending input doesn't trigger for Emacs 23,
> since M-w copies to the primary selection there too.

?? Doesn't M-w copy to the clipboard now?

> Maybe it's a subtle effect of one of the changes to the primary
> selection code a few months ago.

Probably.  But selection requests shouldn't interrupt sit-for
regardless, since (AFAIR) they can come in out of Emacs's control.